New Migration Pack from Sugar CE to Suite 7.6

Try the new the migration (upgrade) pack to move from Sugar CE 6.2.x to 6.5.x to SuiteCRM

Available in Downloads

You can migrate from Sugar CE to suite using the pack as you would any upgrade pack, except it much larger than a standard upgrade, so you may need to increase some settings to use it.

Click here to try it now try it now, we would love your feedback whether it works or any issues you find so we can continue to improve the migration process

Hi I tried this but kept being returned to the home page:

error log: 08/15/16 22:15:23 [3916][8a9925da-78db-fc3c-5991-4f2a6c47f7ec][FATAL] ERROR: There was an error during your upload, please contact an administrator for help.

php.ini: upload_max_filesize = 64M

Any ideas / help / suggestions ?

very keen to migrate off Sugar and onto Suite looking forward to new Theme! my users are over-due a upgrade!

Same result when I tried this both upgrade packages:
SugarCE Migration 6.5.x to Suite 7.1.8.zip
SugarCE Migration 6.x to Suite 7.6.6.zip

Is there a list for settings that may need modification to enable large upgrade ?

did you follow this guide? https://suitecrm.com/wiki/index.php/Upgrade

best regards

I did a migration of a SugarCRM CE system to Suite about 3 years ago.

I have another Sugar 6.5 CE that I’d like to move to Suite. I have no idea how I did it years ago.

How do I do it now? Do I just open up my SugarCRM and import this special migration zip file just as if it were an upgrade from Sugar?

If so, I can try it. But It’s about 35 MB so that’s a long upload on a slow connection. Is there another way to do this migration? There must be some docs somewhere but I’ve looked and looked and can’t find them. The WIKI is no help at all.

Thanks.

Hi,

Today i’m tried to update my SugarCRM CE 6.5.24 to suiteCRM.
I’m used 2 ways:
SugarCE Migration 6.5.x to Suite 7.1.8 - wrote that is not compatible with this version.

SugarCE Migration 6.x to Suite 7.6.6 - i’m receive this errors:
[UpgradeWizard] - Starting file copy process…
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/suitecrm_version.php
[UpgradeWizard] - Skipping “sugar_version.php” - file copy will occur at end of successful upgrade
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/SuiteR/pathCache.php
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/SuiteR/js/style-min.js
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/SuiteR/css/yui.css
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/SuiteR/css/style.css
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/SuiteR/css/deprecated.css
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/Suite7/pathCache.php
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/Suite7/js/style-min.js
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/Suite7/css/yui.css
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/Suite7/css/style.css
[UpgradeWizard] - *** ERROR: could not copy file: /var/www/html/cache/themes/Suite7/css/deprecated.css
[UpgradeWizard] - File copy done.

actually in this folder i have only 1 file /Suite7/pathCache.php

I’m resolved this errors by coping this files from SuiteCRM-7.7.5 archive and it resolved issue.

Hello,
how can i start the upgrade wizard?
I Copy my the folder SugarCE Migration 6.5.x to Suite 7.1.8 to my sugarcrm document root folder but i can’t start the upgrade wizard.

Best Regards

I would recommend you use the newer migration pack ‘SugarCE Migration 6.x to Suite 7.6.6’ and you run it via the upgrade wizard, see the guide in the wiki:-

https://suitecrm.com/wiki/index.php/Upgrade

Hello Matt,

How can i start the new Upgrade Wizard?

Where should i copy the zip or the content of the zip on the server?

Best regards

you don’t, unless you really need to, you just log into your sugar instance, go to admin, upgrade wizard and follow through the steps where it will allow you to upload the file, as you would any other upgrade

p.s make sure you have a backup or are using a test instance

hello matt,

one moment, i will test it :slight_smile:

Hello Matt,

the Upgrade assistant didnt start

i got a white blank screen.

:frowning:

what i can do?

sugar version 6.5.16 (Build 1082)

can i import with terminal?

check your php error log to see what the issue is, what are is you instance running on linux/ windows, php version etc

it works, thank you :slight_smile:

I´m getting the following error in the sugarcrm CE Upgrade Wizard.

“The uploaded file is not compatible with this version of Sugar:
SugarCRM System Version: 6.5.24”

I tried both Migration files

I´m getting the following error in the sugarCRM Upgrade Wizard.

“The uploaded file is not compatible with this version of Sugar:
SugarCRM System Version: 6.5.24”

I tried both Migrations files.

Make sure and increase the post max size as well.

I have 6.5.22 SugarCRM and would like to migrate.

I tried both versions for migrations and I got different errors.

Package.
SugarCE Migration 6.x to Suite 7.6.6 - It uploads the file and automatically takes me back to home screen of my CRM. I go back to upgrade setting but it never opens the page and in the end - Database failure. Please refer to sugarcrm.log for details but log is emply!

SugarCE Migration 6.5.x to Suite 7.1.8 - ERROR says my sugarcrm version is not compatible.

I still couldn’t figure out how to do below. Could that be the reason? My php.ini file seems empty.

Navigate to the php.ini file on your web server and configure the parameters listed below in the Advanced section of the System Settings page of your current SuiteCRM installation:
Set post_max_size to at least 60MB
Set upload_max_filesize settings to at least 60MB
Set max_input_time to a large number
Set memory_limit to 256MB

I finally managed to change php.ini settings but now I get stuck at system check “ZIP support not found: SugarCRM needs ZIP support in order to process compressed files.” When I take settings back to Php Native 5.4, it becomes compatible but I continue to receive below errors. I have been trying all day, hoping to get some help. Thanks

You should be looking at your logs to see the exact error. Check installer.log, UpgradWizard.log, suitecrm.log, php_errors.log…

I’m sure this will help you get closer to the actual problem.

About the zip support, that should be pretty easy - Google “enable PHP zip support”, it’s probably just a simple “apt install” command.